--- qt-2.3.1/src/network/qsocketdevice_unix.cpp.aix	Wed Jun 13 08:53:47 2001
+++ qt-2.3.1/src/network/qsocketdevice_unix.cpp	Mon Jul  2 19:07:38 2001
@@ -377,7 +377,7 @@
     if ( n != -1 ) {
 	SOCKLEN_T len;
 	len = sizeof(v);
-	int r = ::getsockopt( fd, SOL_SOCKET, n, (char*)&v, &len );
+	int r = ::getsockopt( fd, SOL_SOCKET, n, (char*)&v, (socklen_t *)&len );
 	if ( r >= 0 )
 	    return v;
 	if ( !e ) {
@@ -604,7 +604,7 @@
 	return FALSE;
     struct sockaddr aa;
     SOCKLEN_T l = sizeof(struct sockaddr);
-    int s = ::accept( fd, (struct sockaddr*)&aa, &l );
+    int s = ::accept( fd, (struct sockaddr*)&aa, (socklen_t *)&l );
     // we'll blithely throw away the stuff accept() wrote to aa
     if ( s < 0 && e == NoError ) {
 	switch( errno ) {
@@ -746,7 +746,7 @@
 	    SOCKLEN_T sz;
 	    sz = sizeof( aa );
 	    r = ::recvfrom( fd, data, maxlen, 0,
-			    (struct sockaddr *)&aa, &sz );
+			    (struct sockaddr *)&aa, (socklen_t *)&sz );
 	    pp = ntohs( aa.sin_port );
 	    pa = QHostAddress( ntohl( aa.sin_addr.s_addr ) );
 	} else {
@@ -973,11 +973,11 @@
     memset( &sa, 0, sizeof(sa) );
     SOCKLEN_T sz;
     sz = sizeof( sa );
-    if ( !::getsockname( fd, (struct sockaddr *)(&sa), &sz ) ) {
+    if ( !::getsockname( fd, (struct sockaddr *)(&sa), (socklen_t *)&sz ) ) {
 	p = ntohs( sa.sin_port );
 	a = QHostAddress( ntohl( sa.sin_addr.s_addr ) );
     }
-    if ( !::getpeername( fd, (struct sockaddr *)(&sa), &sz ) ) {
+    if ( !::getpeername( fd, (struct sockaddr *)(&sa), (socklen_t *)&sz ) ) {
 	pp = ntohs( sa.sin_port );
 	pa = QHostAddress( ntohl( sa.sin_addr.s_addr ) );
     }
--- qt-2.3.1/tools/designer/designer/Makefile.in.aix	Wed Jun 13 08:57:07 2001
+++ qt-2.3.1/tools/designer/designer/Makefile.in	Mon Jul  2 19:11:54 2001
@@ -8,7 +8,8 @@
 CFLAGS	=	$(SYSCONF_CFLAGS) -DDESIGNER
 INCPATH =	-I../shared -I../util -I../../../src/3rdparty/zlib
 LFLAGS	=	$(SYSCONF_LFLAGS_QT) $(SYSCONF_RPATH_QT) $(SYSCONF_LFLAGS) $(QT_LFLAGS_MT)
-LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -lqutil $(SYSCONF_LIBS_QT) $(SYSCONF_LIBS) $(SYSCONF_LIBS_QTAPP)
+LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -lqutil $(SYSCONF_LIBS_QT) $(SYSCONF_LIBS) $(SYSCONF_LIBS_QTAPP) $(QT_LIBS_OPT)
+
 MOC	=	$(SYSCONF_MOC)
 UIC	=	$(SYSCONF_UIC)
 
--- qt-2.3.1/tools/designer/uic/Makefile.in.aix	Wed Jun 13 08:57:08 2001
+++ qt-2.3.1/tools/designer/uic/Makefile.in	Mon Jul  2 19:13:37 2001
@@ -8,7 +8,8 @@
 CFLAGS	=	$(SYSCONF_CFLAGS) -DUIC
 INCPATH =	-I../shared -I../util -I../../../src/3rdparty/zlib
 LFLAGS	=	$(SYSCONF_LFLAGS_QT) $(SYSCONF_RPATH_QT) $(SYSCONF_LFLAGS) $(QT_LFLAGS_MT)
-LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -lqutil -L../lib $(SYSCONF_LIBS_QT) $(SYSCONF_LIBS) $(SYSCONF_LIBS_QTAPP)
+LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -lqutil -L../lib $(SYSCONF_LIBS_QT) $(SYSCONF_LIBS) $(SYSCONF_LIBS_QTAPP) $(QT_LIBS_OPT)
+
 MOC	=	$(SYSCONF_MOC)
 UIC	=	$(SYSCONF_UIC)
 
--- qt-2.3.1/configs/aix-g++-shared.aix	Wed Jun 13 08:56:42 2001
+++ qt-2.3.1/configs/aix-g++-shared	Mon Jul  2 19:07:38 2001
@@ -5,9 +5,9 @@
 DASHCROSS		= 
 
 # Compiling with support libraries
-SYSCONF_CXXFLAGS_X11	= -I/usr/X11R6/include
+SYSCONF_CXXFLAGS_X11	= 
 SYSCONF_CXXFLAGS_QT	= -I$(QTDIR)/include
-SYSCONF_CXXFLAGS_OPENGL	= -I/usr/X11R6/include
+SYSCONF_CXXFLAGS_OPENGL	=
 
 # Compiling YACC output
 SYSCONF_CXXFLAGS_YACC     = -Wno-unused -Wno-parentheses
@@ -19,14 +19,14 @@
 
 # Linking with support libraries
 # X11
-SYSCONF_LFLAGS_X11	= -L/usr/X11R6/lib
+SYSCONF_LFLAGS_X11	= 
 SYSCONF_LIBS_X11	= -lXext -lX11 -lm
 # Qt, Qt+OpenGL
 SYSCONF_LFLAGS_QT	= -L$(QTDIR)/lib
 SYSCONF_LIBS_QT		= -lqt$(QT_THREAD_SUFFIX)
 SYSCONF_LIBS_QT_OPENGL	= 
 # OpenGL
-SYSCONF_LFLAGS_OPENGL	= -L/usr/X11R6/lib
+SYSCONF_LFLAGS_OPENGL	= 
 SYSCONF_LIBS_OPENGL	= -lGLU -lGL -lXmu
 # Yacc
 SYSCONF_LIBS_YACC	= 
@@ -43,7 +43,7 @@
 SYSCONF_CFLAGS_THREAD	= -D_THREAD_SAFE
 SYSCONF_CXXFLAGS_THREAD	= -D_THREAD_SAFE
 SYSCONF_LFLAGS_THREAD	= 
-# SYSCONF_LIBS_THREAD	= ???
+SYSCONF_LIBS_THREAD	= -lpthreads
 
 # Meta-object compiler
 SYSCONF_MOC		= $(QTDIR)/bin/moc
@@ -57,16 +57,13 @@
 #   - Usually needs to incorporate $(VER_MAJ), $(VER_MIN) and $(VER_PATCH)
 #
 SYSCONF_LINK_SHLIB	= g++
-SYSCONF_LINK_TARGET_SHARED	= lib$(TARGET).so.$(VER_MAJ).$(VER_MIN).$(VER_PATCH)
+SYSCONF_LINK_TARGET_SHARED	= lib$(TARGET).so.$(VER_MAJ)
 SYSCONF_LINK_LIB_SHARED	=  $(SYSCONF_LINK_SHLIB) -shared  \
 				     $(LFLAGS) -o $(SYSCONF_LINK_TARGET_SHARED) \
 				     $(OBJECTS) $(OBJMOC) $(LIBS) && \
-				 mv $(SYSCONF_LINK_TARGET_SHARED) $(DESTDIR); \
-				 cd $(DESTDIR) && \
-				 rm -f lib$(TARGET).a lib$(TARGET).so.$(VER_MAJ) lib$(TARGET).so.$(VER_MAJ).$(VER_MIN); \
-				 ln -s $(SYSCONF_LINK_TARGET_SHARED) lib$(TARGET).a; \
-				 ln -s $(SYSCONF_LINK_TARGET_SHARED) lib$(TARGET).so.$(VER_MAJ); \
-				 ln -s $(SYSCONF_LINK_TARGET_SHARED) lib$(TARGET).so.$(VER_MAJ).$(VER_MIN)
+				 ar q lib$(TARGET).a $(SYSCONF_LINK_TARGET_SHARED) && \
+				 ranlib lib$(TARGET).a; \
+				 mv lib$(TARGET).a $(DESTDIR);
 
 # Linking static libraries
 #   - Build the $(TARGET) library, eg. lib$(TARGET).a
--- qt-2.3.1/Makefile.aix	Wed Jun 13 08:56:52 2001
+++ qt-2.3.1/Makefile	Mon Jul  2 19:15:36 2001
@@ -29,7 +29,7 @@
 	cd tools; $(MAKE)
 
 symlinks: .buildopts
-	@cd include; rm -f q*.h;  for i in $(QTDIR)/src/*/q*.h $(QTDIR)/extensions/*/src/q*.h; do ln -s $$i .; done; rm -f q*_p.h
+	@cd include; rm -f q*.h; find $(QTDIR)/src/* $(QTDIR)/extensions/*/src -name "q*.h" -print | xargs -i ln -s {} .; rm -f q*_p.h
 
 sub-src: src-moc src-mt .buildopts FORCE
 	cd src; $(MAKE)
